from django.conf.urls import url

from .views import go_to_home_page
from .views import go_to_ingredients_detail
from .views import go_to_ingredients_list
from .views import go_to_ingredients_update_form
from .views import go_to_ingredients_create_form

from .views import go_to_orders_create_form
from .views import go_to_orders_detail
from .views import go_to_orders_list
from .views import go_to_orders_update_form

from .views import go_to_recipes_create_form
from .views import go_to_recipes_detail
from .views import go_to_recipes_list
from .views import go_to_recipes_update_form

urlpatterns = [

    url(r'^$', go_to_home_page,name='home_page'),

    url(r'^ingredients/detail$', go_to_ingredients_detail,name='ingredients_detail'),
    url(r'^ingredients/list$', go_to_ingredients_list,name='ingredients_list'),
    url(r'^ingredients/update$', go_to_ingredients_update_form,name='ingredients_update_form'),
    url(r'^ingredients/create$', go_to_ingredients_create_form,name='ingredients_create_form'),

    url(r'^orders/detail$', go_to_orders_detail,name='orders_detail'),
    url(r'^orders/list$', go_to_orders_list,name='orders_list'),
    url(r'^orders/update$', go_to_orders_update_form,name='orders_update_form'),
    url(r'^orders/create$', go_to_orders_create_form,name='orders_create_form'),

    url(r'^recipes/detail$', go_to_recipes_detail,name='recipes_detail'),
    url(r'^recipes/list$', go_to_recipes_list,name='recipes_list'),
    url(r'^recipes/update$', go_to_recipes_update_form,name='recipes_update_form'),
    url(r'^recipes/create$', go_to_recipes_create_form,name='recipes_create_form'),

]